RootCaKeyUpdateContent (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cmp

## Class RootCaKeyUpdateContent

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmp.RootCaKeyUpdateContent

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class RootCaKeyUpdateContent
      extends ASN1Object

  GenMsg: {id-it 20}, RootCaCertValue | < absent > GenRep: {id-it 18}, RootCaKeyUpdateContent | < absent >

  RootCaCertValue ::= CMPCertificate

  RootCaKeyUpdateValue ::= RootCaKeyUpdateContent

  RootCaKeyUpdateContent ::= SEQUENCE { newWithNew CMPCertificate, newWithOld [0] CMPCertificate OPTIONAL, oldWithNew [1] CMPCertificate OPTIONAL }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RootCaKeyUpdateContent(CMPCertificate newWithNew, CMPCertificate newWithOld, CMPCertificate oldWithNew)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RootCaKeyUpdateContent` | `getInstance(java.lang.Object o)`
    `CMPCertificate` | `getNewWithNew()`
    `CMPCertificate` | `getNewWithOld()`
    `CMPCertificate` | `getOldWithNew()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RootCaKeyUpdateContent

          public RootCaKeyUpdateContent(CMPCertificate newWithNew,
                                        CMPCertificate newWithOld,
                                        CMPCertificate oldWithNew)

  - ### Method Detail

    - #### getInstance

          public static RootCaKeyUpdateContent getInstance(java.lang.Object o)

    - #### getNewWithNew

          public CMPCertificate getNewWithNew()

    - #### getNewWithOld

          public CMPCertificate getNewWithOld()

    - #### getOldWithNew

          public CMPCertificate getOldWithNew()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.